package com.heyu.api.data.entity.api;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import com.lz.mybatis.plugin.annotations.AS;

import java.math.BigDecimal;
import java.util.Date;import java.util.Date;
/**
*账户表
* @author quyixiao
* @since 2025-04-19
*/

@Data
@TableName("api_mobile_meta")
public class ApiMobileMetaEntity implements java.io.Serializable {
private static final long serialVersionUID = 1L;

    public final static String CLASS_NAME ="com.heyu.api.data.entity.api.ApiMobileMetaEntity:";

    public final static String all = CLASS_NAME + "*";
    public final static String id_ = CLASS_NAME + "id";                           // 主键id
    public final static String is_delete = CLASS_NAME + "is_delete";              // 是否删除：0 否 1 删除
    public final static String create_time = CLASS_NAME + "create_time";          // 创建时间
    public final static String modify_time = CLASS_NAME + "modify_time";          // 修改时间
    public final static String mobile_ = CLASS_NAME + "mobile";                   // 身份证
    public final static String real_name = CLASS_NAME + "real_name";              // 真实姓名
    public final static String id_card_number = CLASS_NAME + "id_card_number";    // 身份证号码
    public final static String api_result = CLASS_NAME + "api_result";            // 结果
    public final static String channel_ = CLASS_NAME + "channel";                 // 渠道
    public final static String use_count = CLASS_NAME + "use_count";              // 使用次数
    public final static String enable_status = CLASS_NAME + "enable_status";      // 0 不可用，1 可用
    //主键id
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;
    //是否删除：0 否 1 删除
    private Integer isDelete;
    //创建时间
    private Date createTime;
    //修改时间
    private Date modifyTime;
    //身份证
    private String mobile;
    //真实姓名
    private String realName;
    //身份证号码
    private String idCardNumber;
    //结果
    private String apiResult;
    //渠道
    private String channel;
    //使用次数
    private Long useCount;
    //0 不可用，1 可用
    private Integer enableStatus;
    /**
     * 主键id 
     * @return
     */
    public Long getId() {
        return id;
    }
    /**
     * 主键id 
     * @param id
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * 是否删除：0 否 1 删除 
     * @return
     */
    public Integer getIsDelete() {
        return isDelete;
    }
    /**
     * 是否删除：0 否 1 删除 
     * @param isDelete
     */
    public void setIsDelete(Integer isDelete) {
        this.isDelete = isDelete;
    }

    /**
     * 创建时间 
     * @return
     */
    public Date getCreateTime() {
        return createTime;
    }
    /**
     * 创建时间 
     * @param createTime
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    /**
     * 修改时间 
     * @return
     */
    public Date getModifyTime() {
        return modifyTime;
    }
    /**
     * 修改时间 
     * @param modifyTime
     */
    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    /**
     * 身份证 
     * @return
     */
    public String getMobile() {
        return mobile;
    }
    /**
     * 身份证 
     * @param mobile
     */
    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    /**
     * 真实姓名 
     * @return
     */
    public String getRealName() {
        return realName;
    }
    /**
     * 真实姓名 
     * @param realName
     */
    public void setRealName(String realName) {
        this.realName = realName;
    }

    /**
     * 身份证号码 
     * @return
     */
    public String getIdCardNumber() {
        return idCardNumber;
    }
    /**
     * 身份证号码 
     * @param idCardNumber
     */
    public void setIdCardNumber(String idCardNumber) {
        this.idCardNumber = idCardNumber;
    }

    /**
     * 结果 
     * @return
     */
    public String getApiResult() {
        return apiResult;
    }
    /**
     * 结果 
     * @param apiResult
     */
    public void setApiResult(String apiResult) {
        this.apiResult = apiResult;
    }

    /**
     * 渠道 
     * @return
     */
    public String getChannel() {
        return channel;
    }
    /**
     * 渠道 
     * @param channel
     */
    public void setChannel(String channel) {
        this.channel = channel;
    }

    /**
     * 使用次数 
     * @return
     */
    public Long getUseCount() {
        return useCount;
    }
    /**
     * 使用次数 
     * @param useCount
     */
    public void setUseCount(Long useCount) {
        this.useCount = useCount;
    }

    /**
     * 0 不可用，1 可用 
     * @return
     */
    public Integer getEnableStatus() {
        return enableStatus;
    }
    /**
     * 0 不可用，1 可用 
     * @param enableStatus
     */
    public void setEnableStatus(Integer enableStatus) {
        this.enableStatus = enableStatus;
    }

    @Override
    public String toString() {
        return "ApiMobileMetaEntity{" +
                ",id=" + id +
                ",isDelete=" + isDelete +
                ",createTime=" + createTime +
                ",modifyTime=" + modifyTime +
                ",mobile=" + mobile +
                ",realName=" + realName +
                ",idCardNumber=" + idCardNumber +
                ",apiResult=" + apiResult +
                ",channel=" + channel +
                ",useCount=" + useCount +
                ",enableStatus=" + enableStatus +
                "}";
    }
}